#pragma once

#include <QAbstractTableModel>

class CBTableViewModel : public QAbstractTableModel {
    Q_OBJECT
public:
    explicit CBTableViewModel(QObject *parent = nullptr);
    ~CBTableViewModel();
    int rowCount(const QModelIndex &parent = QModelIndex()) const override;
    int columnCount(const QModelIndex &parent = QModelIndex()) const override;

    QVariant data(const QModelIndex &index, int role) const override;
    QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const override;

private:
    QStringList        _header;
    QList<QStringList> _dataList;
};
